import at.jku.ssw.Sorter;

public class Measurement implements Comparable<Measurement> {
  
  Sorter sorter;
  Timer timer;
  Comparable[] unsortedData;
  Comparable[] sortedData;
  
  Measurement(Sorter sorter, Comparable[] unsortedData) {
    this.sorter = sorter;
    this.unsortedData = unsortedData;
  }
  
  public int compareTo(Measurement m) {
    return (int) (this.timer.getTime() - m.timer.getTime());
  }
  
}

